/* FreeRTOS related resources. */
#include "freertos_start.h"

/* Eval board specific definitions. */
#include "demo_specific_io.h"

/* Other includes. */
#include "r_cg_intc.h"

/* NOTE: Renesas FreeRTOS project does not support the main() function.
When you need it, try to use the Processing_Before_Start_Kernel() function
in the src/frtos_startup/freertos_start.c instead of it. */

void main_task(void *pvParameters)
{
    (void) pvParameters;

    while (1)
    {
    }
}

void second_task(void *pvParameters)
{
    (void) pvParameters;

    while (1)
    {
    }
}

void third_task(void *pvParameters)
{
    (void) pvParameters;

    while (1)
    {
    }
}

void intp3_task(void *pvParameters)
{
    (void) pvParameters;

    R_INTC3_Start();

    LED_INIT();
    while (1)
    {
        xSemaphoreTake( xSemaphoreINTP3, portMAX_DELAY );
        LED_BIT = !LED_BIT;
    }
}
